# Read Room Energy Result

![](/files/-Mihpg13Ah_X7SChd2xB)

![](/files/-Mihpg14SeiVY5pcR2-J) - [\[source code\]](https://github.com/ladybug-tools/honeybee-grasshopper-energy/blob/master/honeybee_grasshopper_energy/src//HB%20Read%20Room%20Energy%20Result.py)

Parse all of the common Room-level energy-related results from an SQL result file that has been generated from an energy simulation.

### Inputs

* **sql \[Required]**

The file path of the SQL result file that has been generated from an energy simulation.

### Outputs

* **cooling**

DataCollections for the cooling energy in kWh. For Ideal Air loads, this output is the sum of sensible and latent heat that must be removed from each room. For detailed HVAC systems, this output will be electric energy needed to power each chiller/cooling coil.

* **heating**

DataCollections for the heating energy needed in kWh. For Ideal Air loads, this is the heat that must be added to each room. For detailed HVAC systems, this will be fuel energy or electric energy needed for each boiler/heating element.

* **lighting**

DataCollections for the electric lighting energy used for each room in kWh.

* **electric\_equip**

DataCollections for the electric equipment energy used for each room in kWh.

* **gas\_equip**

DataCollections for the gas equipment energy used for each room in kWh.

* **process**

DataCollections for the process load energy used for each room in kWh.

* **hot\_water**

DataCollections for the service hote water energy used for each room in kWh.

* **fan\_electric**

DataCollections for the fan electric energy in kWh for either a ventilation fan or a HVAC system fan.

* **pump\_electric**

DataCollections for the water pump electric energy in kWh for a heating/cooling system.

* **people\_gain**

DataCollections for the internal heat gains in each room resulting from people (kWh).

* **solar\_gain**

DataCollections for the total solar gain in each room (kWh).

* **infiltration\_load**

DataCollections for the heat loss (negative) or heat gain (positive) in each room resulting from infiltration (kWh).

* **mech\_vent\_load**

DataCollections for the heat loss (negative) or heat gain (positive) in each room resulting from the outdoor air coming through the HVAC System (kWh).

* **nat\_vent\_load**

DataCollections for the heat loss (negative) or heat gain (positive) in each room resulting from natural ventilation (kWh).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ladybug.tools/hb-energy-primer/components/6_result/read_room_energy_result.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
